net.snowflake.client.core

## Class SFStatementMetaData

- java.lang.Object
- - net.snowflake.client.core.SFStatementMetaData

    public class SFStatementMetaData
    extends Object

Statement metadata which includes the result metadata and bind information.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SFStatementMetaData` `emptyMetaData()`
`MetaDataOfBinds` `getMetaDataForBindParam(int param)`
`int` `getNumberOfBinds()`
`SFResultSetMetaData` `getResultSetMetaData()`
`SFStatementType` `getStatementType()`
`boolean` `isArrayBindSupported()` According to StatementType, to decide whether array binds supported or not
`void` `setNumberOfBinds(int numberOfBinds)`
`void` `setResultSetMetaData(SFResultSetMetaData resultSetMetaData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getResultSetMetaData

    public SFResultSetMetaData getResultSetMetaData()

#### setResultSetMetaData

    public void setResultSetMetaData(SFResultSetMetaData resultSetMetaData)

#### getNumberOfBinds

    public int getNumberOfBinds()

#### getMetaDataForBindParam

    public MetaDataOfBinds getMetaDataForBindParam(int param)
                                            throws SQLException

Throws:
  `SQLException`

#### setNumberOfBinds

    public void setNumberOfBinds(int numberOfBinds)

#### isArrayBindSupported

    public boolean isArrayBindSupported()

According to StatementType, to decide whether array binds supported or not

Currently, only INSERT supports array bind

Returns:
  true if array binds is supported.

#### getStatementType

    public SFStatementType getStatementType()

#### emptyMetaData

    public static SFStatementMetaData emptyMetaData()